Zum Hauptinhalt springen

Create or retrieve a share link for a chat

Returns a stable public share link for a chat owned by the authenticated user. Set regenerate to true to invalidate the previous share link and create a new one.

Path Parameters
chatId string — REQUIRED
Request Body — REQUIRED
regenerate boolean

If true, always generate a fresh share link and invalidate any previous one.

Responses
200

Successful response

Schema — OPTIONAL
shareId string
shareUrl uri
400

Invalid input data

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
401

Authorization not provided

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
403

Insufficient access

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
500

Internal server error

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string